Name:           multiverse
Version:        0.7.0
Release:        12%{?dist}
Summary:        Software Transactional Memory Implementation for the JVM
License:        ASL 2.0
URL:            https://github.com/pveentjer/Multiverse
BuildArch:      noarch

Source0:        %{url}/archive/%{name}-%{version}/%{name}-%{version}.tar.gz

BuildRequires:  maven-local
BuildRequires:  mvn(junit:junit)
BuildRequires:  mvn(org.mockito:mockito-all)

%description
A software transactional memory implementation for the JVM. Access (read and
writes) to shared memory is done through transactional references, that can be
compared to the AtomicReferences of Java. Access to these references will be
done under A (atomicity), C (consistency), I (isolation) semantics.

%{?javadoc_package}
 
%prep
%autosetup -n Multiverse-%{name}-%{version}

find -type f '(' -name '*.jar' -o -name '*.class' ')' -print -delete

%pom_xpath_remove pom:extensions
%pom_xpath_remove 'pom:plugin[pom:artifactId = "maven-surefire-plugin"]/pom:configuration/pom:forkMode' %{name}-core

%pom_xpath_inject 'pom:plugin[pom:artifactId = "maven-surefire-plugin"]' '<version>3.0.0-M5</version>' %{name}-core
%pom_xpath_inject 'pom:plugin[pom:artifactId = "maven-surefire-plugin"]/pom:configuration' '<forkCount>1C</forkCount>' %{name}-core
%pom_xpath_inject 'pom:plugin[pom:artifactId = "maven-surefire-plugin"]/pom:configuration' '<reuseForks>false</reuseForks>' %{name}-core

%pom_add_dep org.apache.commons:commons-lang3:3.8.1:test %{name}-core
%pom_add_dep commons-io:commons-io:2.6:test %{name}-core

%build
%mvn_build -- -Dmaven.compiler.source=1.8 -Dmaven.compiler.target=1.8

%install
%mvn_install

%files -f .mfiles
%license LICENSE
%doc README.md

%changelog
* Thu Oct 21 2021 Didik Supriadi <didiksupriadi41@fedoraproject.org> - 0.7.0-12
- Enable tests

* Thu Jul 25 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.0-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild
 
* Fri Feb 01 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.0-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild
 
* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.0-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild
 
* Thu Feb 08 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.0-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild
 
* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.0-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild
 
* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild
 
* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild
 
* Fri Jan 23 2015 Michael Simacek <msimacek@redhat.com> - 0.7.0-3
- Disable tests - they are nondeterministic
 
* Thu Nov 13 2014 Michael Simacek <msimacek@redhat.com> - 0.7.0-2
- Include license text
 
* Fri Oct 31 2014 Michael Simacek <msimacek@redhat.com> - 0.7.0-1
- Initial version

